﻿using System.Net.Http;
using System.Net.Http.Headers;
using System.Threading.Tasks;

namespace EyesAndEars.UWP.Services {
    public static class WebServices {

        private static readonly HttpClient _client = new HttpClient();

        public static async Task<string> GetJSON(string url) {
            _client.DefaultRequestHeaders.Accept.Clear();
            var response = await _client.GetAsync(url);
            _client.DefaultRequestHeaders.Accept.Add(
                new MediaTypeWithQualityHeaderValue("application/json"));
            var result = await _client.GetStringAsync(url);
            return result;
        }

    }
}
